summaryrefslogtreecommitdiffstats
path: root/test/test-sonar-base.sh
diff options
context:
space:
mode:
authorMalfurious <m@lfurio.us>2021-07-20 20:10:34 -0400
committerMalfurious <m@lfurio.us>2021-07-20 20:10:34 -0400
commit0173bdcf5bc2bb97bd125679ee25e12ed8be544f (patch)
treed2381fa960c55dfcfda4ae0b87396ca0f7fc24c7 /test/test-sonar-base.sh
parent3d5a9a7c893f3505216d00348e94ccf1aa5d9084 (diff)
downloadgit-sonar-0173bdcf5bc2bb97bd125679ee25e12ed8be544f.tar.gz
git-sonar-0173bdcf5bc2bb97bd125679ee25e12ed8be544f.zip
Move test files to subdirectory
Signed-off-by: Malfurious <m@lfurio.us>
Diffstat (limited to 'test/test-sonar-base.sh')
-rwxr-xr-xtest/test-sonar-base.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/test/test-sonar-base.sh b/test/test-sonar-base.sh
new file mode 100755
index 0000000..7c0c742
--- /dev/null
+++ b/test/test-sonar-base.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+scriptDir="$(cd "$(dirname "$0")"; pwd)"
+
+source "$scriptDir/sonar-base.sh"
+
+test_show_remote_status() {
+ show_remote_status
+ assertTrue $?
+
+ show_remote_status --bash
+ assertTrue $?
+
+ show_remote_status --bash --fetch
+ assertTrue $?
+
+ show_remote_status --bash --no-remote-status --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --no-remote-status
+ assertFalse $?
+
+ show_remote_status --no-remote-status --bash --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --minimal --no-remote-status
+ assertFalse $?
+}
+
+. ./shunit/shunit2